### Hierarchy

- EventEmitter
  - Interface
    - REPLServer

## Index

### Constructors

- constructor

### Properties

- terminal
- defaultMaxListeners

### Methods

- __@asyncIterator
- addListener
- close
- emit
- eventNames
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- pause
- prependListener
- prependOnceListener
- prompt
- question
- rawListeners
- removeAllListeners
- removeListener
- resume
- setMaxListeners
- setPrompt
- write
- listenerCount

## Constructors

### Protected constructor

- new Interface(input: ReadableStream, output?: WritableStream, completer?: Completer | AsyncCompleter, terminal?: undefined | false | true): Interface
- new Interface(options: ReadLineOptions): Interface

- - Defined in node_modules/@types/node/readline.d.ts:14

  NOTE: According to the documentation:

  > Instances of the `readline.Interface` class are constructed using the `readline.createInterface()` method.

  see

    https://nodejs.org/dist/latest-v10.x/docs/api/readline.html#readline_class_interface

  #### Parameters

  - ##### input: ReadableStream

  - ##### Optional output: WritableStream

  - ##### Optional completer: Completer | AsyncCompleter

  - ##### Optional terminal: undefined | false | true

  #### Returns Interface

- - Defined in node_modules/@types/node/readline.d.ts:24

  NOTE: According to the documentation:

  > Instances of the `readline.Interface` class are constructed using the `readline.createInterface()` method.

  see

    https://nodejs.org/dist/latest-v10.x/docs/api/readline.html#readline_class_interface

  #### Parameters

  - ##### options: ReadLineOptions

  #### Returns Interface

## Properties

### terminal

terminal: boolean

- Defined in node_modules/@types/node/readline.d.ts:14

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### __@asyncIterator

- __@asyncIterator(): AsyncIterableIterator<string>

- - Defined in node_modules/@types/node/readline.d.ts:107

  #### Returns AsyncIterableIterator<string>

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "close", listener: function): this
- addListener(event: "line", listener: function): this
- addListener(event: "pause", listener: function): this
- addListener(event: "resume", listener: function): this
- addListener(event: "SIGCONT", listener: function): this
- addListener(event: "SIGINT", listener: function): this
- addListener(event: "SIGTSTP", listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/readline.d.ts:54

  events.EventEmitter

  1. close
  2. line
  3. pause
  4. resume
  5. SIGCONT
  6. SIGINT
  7. SIGTSTP

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/readline.d.ts:55

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/readline.d.ts:56

  #### Parameters

  - ##### event: "line"

  - ##### listener: function

    - - (input: string): void

      - #### Parameters

        - ##### input: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/readline.d.ts:57

  #### Parameters

  - ##### event: "pause"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/readline.d.ts:58

  #### Parameters

  - ##### event: "resume"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/readline.d.ts:59

  #### Parameters

  - ##### event: "SIGCONT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/readline.d.ts:60

  #### Parameters

  - ##### event: "SIGINT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/readline.d.ts:61

  #### Parameters

  - ##### event: "SIGTSTP"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### close

- close(): void

- - Defined in node_modules/@types/node/readline.d.ts:40

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "close"): boolean
- emit(event: "line", input: string): boolean
- emit(event: "pause"): boolean
- emit(event: "resume"): boolean
- emit(event: "SIGCONT"): boolean
- emit(event: "SIGINT"): boolean
- emit(event: "SIGTSTP"): boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/readline.d.ts:63

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/readline.d.ts:64

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/readline.d.ts:65

  #### Parameters

  - ##### event: "line"

  - ##### input: string

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/readline.d.ts:66

  #### Parameters

  - ##### event: "pause"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/readline.d.ts:67

  #### Parameters

  - ##### event: "resume"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/readline.d.ts:68

  #### Parameters

  - ##### event: "SIGCONT"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/readline.d.ts:69

  #### Parameters

  - ##### event: "SIGINT"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/readline.d.ts:70

  #### Parameters

  - ##### event: "SIGTSTP"

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "close", listener: function): this
- on(event: "line", listener: function): this
- on(event: "pause", listener: function): this
- on(event: "resume", listener: function): this
- on(event: "SIGCONT", listener: function): this
- on(event: "SIGINT", listener: function): this
- on(event: "SIGTSTP", listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/readline.d.ts:72

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/readline.d.ts:73

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/readline.d.ts:74

  #### Parameters

  - ##### event: "line"

  - ##### listener: function

    - - (input: string): void

      - #### Parameters

        - ##### input: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/readline.d.ts:75

  #### Parameters

  - ##### event: "pause"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/readline.d.ts:76

  #### Parameters

  - ##### event: "resume"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/readline.d.ts:77

  #### Parameters

  - ##### event: "SIGCONT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/readline.d.ts:78

  #### Parameters

  - ##### event: "SIGINT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/readline.d.ts:79

  #### Parameters

  - ##### event: "SIGTSTP"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "close", listener: function): this
- once(event: "line", listener: function): this
- once(event: "pause", listener: function): this
- once(event: "resume", listener: function): this
- once(event: "SIGCONT", listener: function): this
- once(event: "SIGINT", listener: function): this
- once(event: "SIGTSTP", listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/readline.d.ts:81

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/readline.d.ts:82

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/readline.d.ts:83

  #### Parameters

  - ##### event: "line"

  - ##### listener: function

    - - (input: string): void

      - #### Parameters

        - ##### input: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/readline.d.ts:84

  #### Parameters

  - ##### event: "pause"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/readline.d.ts:85

  #### Parameters

  - ##### event: "resume"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/readline.d.ts:86

  #### Parameters

  - ##### event: "SIGCONT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/readline.d.ts:87

  #### Parameters

  - ##### event: "SIGINT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/readline.d.ts:88

  #### Parameters

  - ##### event: "SIGTSTP"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### pause

- pause(): this

- - Defined in node_modules/@types/node/readline.d.ts:38

  #### Returns this

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "close", listener: function): this
- prependListener(event: "line", listener: function): this
- prependListener(event: "pause", listener: function): this
- prependListener(event: "resume", listener: function): this
- prependListener(event: "SIGCONT", listener: function): this
- prependListener(event: "SIGINT", listener: function): this
- prependListener(event: "SIGTSTP", listener: function): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/readline.d.ts:90

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/readline.d.ts:91

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/readline.d.ts:92

  #### Parameters

  - ##### event: "line"

  - ##### listener: function

    - - (input: string): void

      - #### Parameters

        - ##### input: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/readline.d.ts:93

  #### Parameters

  - ##### event: "pause"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/readline.d.ts:94

  #### Parameters

  - ##### event: "resume"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/readline.d.ts:95

  #### Parameters

  - ##### event: "SIGCONT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/readline.d.ts:96

  #### Parameters

  - ##### event: "SIGINT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/readline.d.ts:97

  #### Parameters

  - ##### event: "SIGTSTP"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "close", listener: function): this
- prependOnceListener(event: "line", listener: function): this
- prependOnceListener(event: "pause", listener: function): this
- prependOnceListener(event: "resume", listener: function): this
- prependOnceListener(event: "SIGCONT", listener: function): this
- prependOnceListener(event: "SIGINT", listener: function): this
- prependOnceListener(event: "SIGTSTP", listener: function): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/readline.d.ts:99

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/readline.d.ts:100

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/readline.d.ts:101

  #### Parameters

  - ##### event: "line"

  - ##### listener: function

    - - (input: string): void

      - #### Parameters

        - ##### input: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/readline.d.ts:102

  #### Parameters

  - ##### event: "pause"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/readline.d.ts:103

  #### Parameters

  - ##### event: "resume"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/readline.d.ts:104

  #### Parameters

  - ##### event: "SIGCONT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/readline.d.ts:105

  #### Parameters

  - ##### event: "SIGINT"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/readline.d.ts:106

  #### Parameters

  - ##### event: "SIGTSTP"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### prompt

- prompt(preserveCursor?: undefined | false | true): void

- - Defined in node_modules/@types/node/readline.d.ts:36

  #### Parameters

  - ##### Optional preserveCursor: undefined | false | true

  #### Returns void

### question

- question(query: string, callback: function): void

- - Defined in node_modules/@types/node/readline.d.ts:37

  #### Parameters

  - ##### query: string

  - ##### callback: function

    - - (answer: string): void

      - #### Parameters

        - ##### answer: string

        #### Returns void

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### resume

- resume(): this

- - Defined in node_modules/@types/node/readline.d.ts:39

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### setPrompt

- setPrompt(prompt: string): void

- - Defined in node_modules/@types/node/readline.d.ts:35

  #### Parameters

  - ##### prompt: string

  #### Returns void

### write

- write(data: string | Buffer, key?: Key): void

- - Defined in node_modules/@types/node/readline.d.ts:41

  #### Parameters

  - ##### data: string | Buffer

  - ##### Optional key: Key

  #### Returns void

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc